Bug 366731 - mock --version output perturbed by debug information
mock --version output perturbed by debug information
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 08:15 EST by Ralf Corsepius
Modified: 2013-01-09 20:43 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.8.7-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 18:57:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-11-05 08:15:17 EST
Description of problem:

mock-0.8.x's output of "mock --version"'s is cluttered/perturbed with "INFO output":

# mock --version
INFO: mock suid wrapper version 0.8.4 
0.8.4

Version-Release number of selected component (if applicable):
mock-0.8.4-2.fc7

How reproducible:
Deterministic

Steps to Reproduce:
1. mock --version

Expected results:
mock --version to output a version string only, like older versions did.

Additional info:
This change render parsing the output of --version unnecessarily complicated.
Comment 1 Michael E Brown 2007-11-06 11:38:37 EST
Fixed in mock 0.8.5
Comment 2 Fedora Update System 2007-11-09 18:43:47 EST
mock-0.8.7-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'
Comment 3 Fedora Update System 2007-11-09 18:48:07 EST
has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update '
Comment 4 Fedora Update System 2007-11-12 18:57:22 EST
mock-0.8.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-11-12 19:05:12 EST
mock-0.8.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.